Skip to main content
GET
/
v1
/
organizations
/
{id}
/
ledgers
List Ledgers
curl --request GET \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{id}/ledgers
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "status": "<unknown>",
      "metadata": {},
      "settings": {
        "accounting": {
          "validateAccountType": true,
          "validateRoutes": true
        }
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "limit": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string

The authorization token. This header is required if your environment has Access Manager enabled.

Content-Type
string

The type of media of the resource. Recommended value is application/json.

X-Request-Id
string<uuid>

A unique identifier used to trace and track each request.

Path Parameters

id
string
required

The unique identifier of the Organization.

Query Parameters

limit
string

The maximum number of items to include in the response. Max: 100

start_date
string

The beginning of the period you want to retrieve. You must also include the end_date.

end_date
string

The end of the period you want to retrieve. You must also include the start_date.

sort_order
string

The order used to sort the results.

page
string

The number of the page that you want to retrieve.

metadata.key
string

Filter by metadata using dot-notation. Replace key with your metadata field name (e.g. metadata.costCenter=BR_11101997).

name
string

Filter ledgers by name. Uses prefix matching (case-insensitive, max 256 characters).

Maximum string length: 256

Response

Indicates that the request was successful and the response contains the expected data.

items
object[]
page
integer

The number of pages returned.

limit
integer

The maximum number of items included in the response.